fuss-manager - Segnalazione #744

Assegnazione macchine a gruppi
02/19/2019 12:18 PM - Enrico Zini

Status: Chiuso Start date: 02/19/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Inventariazione

Resolution:

Description

Interfaccia per assegnare le macchine a dei gruppi

Associated revisions

Revision 3a6a812a - 03/22/2019 03:29 PM - Enrico Zini

Serialize and deserialize machine groups. refs: #744

Revision fced29a2 - 03/22/2019 04:00 PM - Enrico Zini

Use a Machine object on js's side, too. refs: #744

Revision fa5eb39a - 03/22/2019 04:39 PM - Enrico Zini
Refactored js code. refs: #744

Revision 7¢182416 - 03/22/2019 04:55 PM - Enrico Zini
Show machines by group. refs: #744

Revision 99910868 - 03/22/2019 05:06 PM - Enrico Zini

Render all machines in all groups in the same way. refs: #744

Revision 58ed4421 - 03/22/2019 05:10 PM - Enrico Zini

Sort group names to remove Ul nondeterminism. refs: #744

Revision cf2e666a - 03/24/2019 12:06 PM - Enrico Zini

Readded machine detail view. refs: #744

Revision 07017f1a - 03/24/2019 12:15 PM - Enrico Zini

Share some widget infrastructure. refs: #744

Revision 18016c04 - 03/24/2019 12:35 PM - Enrico Zini

Turn on autoreload when debug==True. refs: #744

Revision 27ecb0c4 - 03/24/2019 12:36 PM - Enrico Zini

Show more details in machine tables. refs: #744

Revision 1€29a099 - 03/24/2019 12:41 PM - Enrico Zini

Show machine details in a table. refs: #744

Revision 52bab92b - 03/24/2019 01:06 PM - Enrico Zini
Update backend information and machine details widget when new machine data is notified in an event. refs: #744

Revision 4e6f3b1d - 03/24/2019 01:22 PM - Enrico Zini

Make machine group tables sortable. refs: #744

Revision 5004ab4b - 03/24/2019 01:47 PM - Enrico Zini

Redone group rendering in a table to make space for actions. refs: #744

Revision 5¢0f44¢3 - 03/24/2019 01:52 PM - Enrico Zini

Implemented the Ul side of adding a new group to a machine. refs: #744

Revision 04ec80b0 - 03/26/2019 11:24 AM - Enrico Zini
Merge branch 't772" into t744. refs: #744

Revision 13788127 - 03/26/2019 11:45 AM - Enrico Zini
Started modeling Operation objects in JS. refs: #744

Revision e9bc9338 - 03/26/2019 12:42 PM - Enrico Zini
Test web api. refs: #744

Revision 061fcdd7 - 03/26/2019 01:33 PM - Enrico Zini

New API for invoking operations. refs: #744

Revision 959b0b7d - 03/26/2019 01:39 PM - Enrico Zini

Execute operation on submission. refs: #744

Revision b9f3508c - 03/26/2019 01:40 PM - Enrico Zini

Encode the operation name from js. refs: #744

Revision c4be6c85 - 03/26/2019 01:41 PM - Enrico Zini
Merge branch 't772" into t744. refs: #744

Revision aed0e78d - 03/26/2019 02:37 PM - Enrico Zini

Implemented MachineStore.add_machine_to_group. refs: #744

Revision 9f819ac3 - 03/26/2019 02:42 PM - Enrico Zini
Call add_machine_to_group in AddGroup.execute. refs: #744

Revision 05ad335a - 03/26/2019 02:56 PM - Enrico Zini

Implemented adding a machine to a group. refs: #744

Revision dc35b0eb - 03/26/2019 04:03 PM - Enrico Zini

Use a base template, and add a navbar. refs: #744

Revision 77b240c9 - 03/26/2019 04:48 PM - Enrico Zini

Split event monitor in a separate page. refs: #744

Revision e80c19be - 03/26/2019 06:26 PM - Enrico Zini
Added group selector. refs: #744
Revision e1228bf0 - 03/26/2019 06:45 PM - Enrico Zini

Show one group at a time. refs: #744

Revision e3ce6a13 - 03/27/2019 10:52 AM - Enrico Zini

Enlarged datatables machine list. refs: #744

Revision 2e6a3758 - 03/27/2019 11:40 AM - Enrico Zini
Add group information. refs: #744

Revision eb6b06ac - 03/27/2019 12:21 PM - Enrico Zini

Show machine details in popup. refs: #744

Revision b657affa - 03/27/2019 12:23 PM - Enrico Zini
Reactivate AddGroup action. refs: #744

Revision caa2c38d - 03/27/2019 12:29 PM - Enrico Zini

Implemented removing a machine from a group. refs: #744

Revision 294e2623 - 03/27/2019 12:30 PM - Enrico Zini
Added ops support for DelGroup. refs: #744

Revision b6a99b84 - 03/27/2019 12:35 PM - Enrico Zini

Implemented group removal. refs: #744

Revision 956fa604 - 03/27/2019 01:39 PM - Enrico Zini

Allow to configure what machine fields to serialize to json. refs: #744

History

#1 - 03/11/2019 11:55 AM - Enrico Zini

- Assignee set to Enrico Zini

#2 - 03/22/2019 05:11 PM - Enrico Zini

- Status changed from Nuovo to In elaborazione

#3 - 03/27/2019 12:46 PM - Enrico Zini
- Status changed from In elaborazione to Commenti

- Assignee changed from Enrico Zini to Elena Grandi

Ho aggiunto manager/ops.py, con una gerarchia di classi che descrivono operazioni da compiere. manager/web/static/fussmanager/js/operations.js &
il suo parallelo in JavaScript, e questo permette di generare operazioni da JavaScript, passarle al server via API, eseguirle, ed eventualmente
loggarle (#743).

Ho aggiunto il supporto per template in moustache (classe Widget in manager/web/static/fussmanager/js/widgets/machines.js), in modo da spostare
tutto il layout possibile nei template html renderizzati da tornado, in modo che, oltre ad avere tutto 'HTML nello stesso posto, il tutto sia anche
localizzabile. Ho scelto moustache perché & pacchettizzato in Debian (libjs-moustache), ma come motore di template mi piace molto poco. Ad ogni
modo, per il momento risolve un problema. Ho cambiato i tag di moustache da {{ a [[ per non conflittare con tornado.

Ho riorganizzato i RequestHandler che renderizzano HTML in un sistema tipo class-based-view di Django manager/web/views.py, che ho poi usato
per creare la navbar.

Ho riorganizzato i template HTML dal prototipo di prima a qualcosa di pit solido, con un base template i template delle varie view.
La logica JavaScript &€ organizzata in un Manager manager/web/static/fussmanager/js/api.js che indicizza le informazioni sulle varie macchine, e vari

widget che pescano dal manager. Quando arrivano eventi via WebSocket, il manager aggiorna le sue strutture dati di conseguenza, e i widget si
aggiornano. Se per esempio si ordinano le macchine in un gruppo per last-seen, si vede cambiare nel tempo I'ordine delle macchine. Se si mostrano i
dettagli di una macchina, sono aggiornati in real time.

La pagina principale & un grosso DataTables con le macchine senza gruppo. C'e un elenco di gruppi in cima alla pagina che permette di selezionare
un gruppo e mostrarne le macchine, o deselezionare il gruppo corrente per mostrare di nuovo le macchine senza gruppo.

Scegliendo una macchina dalla tabella, compare un popup di dettagli che permette di aggiungere/togliere gruppi.

#4 - 03/27/2019 01:42 PM - Elena Grandi

mergiato in master
#5 - 03/27/2019 02:14 PM - Elena Grandi

- Status changed from Commenti to Chiuso

- Assignee changed from Elena Grandi to Enrico Zini
